<script>
  import Video from "./_video.svelte";
  import Modal from "./_modal.svelte";
  export let videos;

  let video = {};
  let open = false;

  function play(e) {
    video = e.detail;
    open = true;
  }

  function close(e) {
    if (e.type == "close" || (e.type == "keyup" && e.code == "Escape")) {
      open = false;
    }
  }

  $: {
    document.documentElement.style.overflow = open ? "hidden" : "";

    if (open) {
      window.addEventListener("keyup", close);
    } else {
      window.removeEventListener("keyup", close);
    }
  }
</script>

<style>
  :global(:root) {
    --width: 1300px;
  }

  header {
    height: 600px;
    min-height: 300px;
    max-height: 80vh;
    background-image: linear-gradient(to right, #0007, transparent 40%), url("/img/header.jpg");
    /* background-image: linear-gradient(to right, #0004, transparent 100%), url("/img/header.jpg"); */
    background-position: 55% 50%;
    background-size: cover;
    z-index: 1;
    overflow: hidden;
    position: relative;

    display: flex;
    flex-flow: row nowrap;
    justify-content: center;
    align-items: center;

    padding: 60px;
    box-sizing: border-box;
  }

  .title {
    width: 100%;
    max-width: var(--width);
  }

  h1 {
    margin: 0 0 10px;
    text-transform: uppercase;
    color: #fff;
    font-size: 70px;
  }

  h1 .sec {
    font-weight: 200;
    display: block;
    font-size: 40px;
  }

  .title-row {
    display: flex;
    flex-flow: row nowrap;
    justify-content: flex-start;
    align-items: center;
  }

  .title-row .div {
    height: 80px;
    border-right: 2px solid #fff;
    margin: 0 20px;
  }

  .title-row .button {
    background: #3172b7;
    padding: 8px 35px;
    border-radius: 2px;
    border: 0;
    color: #fff;
    font-size: 22px;
    margin-bottom: 0;
  }

  .title-row img {
    width: 250px;
  }

  .divider {
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100vw;
    border-bottom: 40px solid #fff;
    border-right: 100vw solid transparent;

    box-sizing: border-box;
    filter: drop-shadow(0 4px 8px #0006);
  }

  main {
    background: linear-gradient(135deg, #fff 70%, #ccccdd);
    min-height: 20vh;

    padding: 40px 40px 0;
    display: flex;
    flex-flow: column nowrap;
    justify-content: center;
    align-items: center;
  }

  .videos {
    display: flex;
    flex-flow: row nowrap;
    justify-content: flex-start;
    align-items: flex-start;
    margin-bottom: 40px;
  }

  @media (max-width: 900px) {
    .videos {
      flex-wrap: wrap;
      justify-content: space-between;
    }
  }

  h2 {
    font-size: 30px;
    color: #36454f;
    font-weight: 600;
  }

  .site-width {
    width: 100%;
    max-width: var(--width);
    margin-left: auto;
    margin-right: auto;
  }

  #cta {
    width: 100vw;
    background: #36454f;
    margin-top: 40px;
    color: #fff;
    padding: 60px;
  }

  #cta .site-width {
    display: flex;
    flex-flow: row nowrap;
    justify-content: center;
    align-items: center;
  }

  #cta .button {
    background: #5abb93;
  }
</style>

<header>
  <div class="title">
    <h1>
      <span class="sec">Watch our</span>
      Success Stories
    </h1>
    <div class="title-row">
      <a
        class="button"
        href="https://secure.givelively.org/donate/wildwood-sanitarium-incorporated/giving-tuesday"
        target="_blank"
        rel="noopener noreferrer">
        Donate
      </a>
      <div class="div" />
      <img src="/img/logo.png" alt="" />
    </div>
  </div>
  <div class="divider" />
</header>
<main>
  <Modal {video} {open} on:close={close} />
  {#each videos as category}
    <div class="site-width">
      <h2>{category.title}</h2>
      <section class="videos">
        {#each category.videos as video}
          <Video {video} on:play={play} />
        {/each}
      </section>
    </div>
  {/each}

  <section id="cta">
    <div class="site-width">
      <div class="title-row">
        <a
          class="button"
          href="https://secure.givelively.org/donate/wildwood-sanitarium-incorporated/giving-tuesday"
          target="_blank"
          rel="noopener noreferrer">
          Donate
        </a>
        <div class="div" />
        <img src="/img/logo.png" alt="" />
      </div>
    </div>
  </section>
</main>
